// eslint-disable-next-line @next/next/no-img-element
import Toolbar, { Item } from "devextreme-react/toolbar";
import TextBox from "devextreme-react/text-box";
import Button from "devextreme-react/button";
import type { AppHeaderProps } from "./types";
import logos from "../../../public/images/shore-logo-1.png";
import Image from "next/image";

export const AppHeader = ({
  menuToggleEnabled,
  title,
  toggleMenu,
  className,
}: AppHeaderProps) => {
  return (
    <header className={`header-component ${className}`}>
      <Toolbar className="header-toolbar">
        <Item
          visible={menuToggleEnabled}
          location="before"
          widget="dxButton"
          cssClass="menu-button"
        >
          <Button icon="menu" stylingMode="text" onClick={toggleMenu} />
        </Item>
        <Item location="before" cssClass="header-logo">
          <Image
            src={logos}
            alt="Logo"
            className="polarisLogo"
            style={{ width: "30px", height: "30px" }}
          />
        </Item>
        <Item location="before" cssClass="menu-header-title">
          <div>{title}</div>
        </Item>
        <Item location="after" locateInMenu="auto" cssClass="global-search-box">
          <TextBox
            placeholder="Search"
            width={180}
            mode="search"
            stylingMode="filled"
          />
        </Item>
        <Item location="after">
          <div className="messages">
            <Button icon="belloutline" stylingMode="text" />
            <div className="dx-badge">4</div>
          </div>
        </Item>
        <Item
          location="after"
          locateInMenu="auto"
          menuItemTemplate="userPanelTemplate"
        >
          <Button icon="user" stylingMode="text" />
        </Item>
      </Toolbar>
    </header>
  );
};
